org.keycloak.keys

## Class GeneratedAesKeyProviderFactory

- java.lang.Object
- - org.keycloak.keys.AbstractGeneratedSecretKeyProviderFactory<AbstractGeneratedSecretKeyProvider>
  - - org.keycloak.keys.GeneratedAesKeyProviderFactory

- All Implemented Interfaces:
    ComponentFactory<AbstractGeneratedSecretKeyProvider,KeyProvider>, KeyProviderFactory<AbstractGeneratedSecretKeyProvider>, ConfiguredProvider, ProviderFactory<KeyProvider>

      public class GeneratedAesKeyProviderFactory
      extends AbstractGeneratedSecretKeyProviderFactory<AbstractGeneratedSecretKeyProvider>

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedAesKeyProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneratedAesKeyProvider` | `create(KeycloakSession session, ComponentModel model)`
    `boolean` | `createFallbackKeys(KeycloakSession session, KeyUse keyUse, String algorithm)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `protected int` | `getDefaultKeySize()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `protected org.jboss.logging.Logger` | `logger()`

    - ### Methods inherited from class org.keycloak.keys.AbstractGeneratedSecretKeyProviderFactory

      `validateConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProviderFactory

      `close, init, postInit`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GeneratedAesKeyProviderFactory

          public GeneratedAesKeyProviderFactory()

  - ### Method Detail

    - #### create

          public GeneratedAesKeyProvider create(KeycloakSession session,
                                                ComponentModel model)

    - #### createFallbackKeys

          public boolean createFallbackKeys(KeycloakSession session,
                                            KeyUse keyUse,
                                            String algorithm)

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

    - #### logger

          protected org.jboss.logging.Logger logger()

      Specified by:
        `logger` in class `AbstractGeneratedSecretKeyProviderFactory<AbstractGeneratedSecretKeyProvider>`

    - #### getDefaultKeySize

          protected int getDefaultKeySize()

      Specified by:
        `getDefaultKeySize` in class `AbstractGeneratedSecretKeyProviderFactory<AbstractGeneratedSecretKeyProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.